commit:     22eaa894650e176b657066ba208a355191fcb6fa
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Thu Nov 21 16:35:28 2024 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Fri Nov 22 23:22:01 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22eaa894

games-arcade/kobodeluxe: fix calling AR directly

Closes: https://bugs.gentoo.org/761694
Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 games-arcade/kobodeluxe/kobodeluxe-0.5.1-r5.ebuild | 75 ++++++++++++++++++++++
 1 file changed, 75 insertions(+)

diff --git a/games-arcade/kobodeluxe/kobodeluxe-0.5.1-r5.ebuild 
b/games-arcade/kobodeluxe/kobodeluxe-0.5.1-r5.ebuild
new file mode 100644
index 000000000000..0ec2a391fc60
--- /dev/null
+++ b/games-arcade/kobodeluxe/kobodeluxe-0.5.1-r5.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop xdg toolchain-funcs
+
+MY_P="KoboDeluxe-${PV/_/}"
+DESCRIPTION="An SDL port of xkobo, a addictive space shoot-em-up"
+HOMEPAGE="http://www.olofson.net/kobodl/";
+SRC_URI="http://www.olofson.net/kobodl/download/${MY_P}.tar.bz2";
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="opengl"
+
+DEPEND="media-libs/libsdl[joystick]
+       media-libs/sdl-image[png]
+       opengl? ( virtual/opengl )
+"
+RDEPEND="${DEPEND}
+       acct-group/gamestat
+"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-glibc29.patch
+       "${FILESDIR}"/${P}-glibc2.10.patch
+       "${FILESDIR}"/${P}-clang.patch
+       "${FILESDIR}"/${P}-midi-crash-fix.patch
+)
+
+src_unpack() {
+       unpack ${A}
+       cd "${S}" || die
+       unpack ./icons.tar.gz
+}
+
+src_prepare() {
+       default
+
+       # Fix paths
+       sed -i \
+               -e 's:\$(datadir)/kobo-deluxe:$(datadir)/kobodeluxe:' \
+               -e 
"s:\$(sharedstatedir)/kobo-deluxe/scores:${EPREFIX}/var/games/kobodeluxe:" \
+               configure || die "sed configure failed"
+
+       sed -i \
+               -e 's:kobo-deluxe:kobodeluxe:' \
+               data/gfx/Makefile.in \
+               data/sfx/Makefile.in || die "sed data/Makefile.in failed"
+}
+
+src_configure() {
+       econf $(use_enable opengl)
+}
+
+src_compile() {
+       emake AR="$(tc-getAR)" #bug 761694
+}
+
+src_install() {
+       default
+
+       for size in 16 22 32 48 64 128; do
+               newicon -s "${size}" icons/KDE/icons/${size}x${size}/kobodl.png 
KoboDeluxe.png
+       done
+       make_desktop_entry kobodl "Kobo Deluxe" KoboDeluxe
+
+       keepdir /var/games/kobodeluxe
+       fowners -R :gamestat /var/games/kobodeluxe/ /usr/bin/kobodl
+       fperms g+s /usr/bin/kobodl
+       fperms -R g+w /var/games/kobodeluxe
+}

Reply via email to